Package ru.bitel.bgbilling.plugins.dispatch.common.bean

# Class DispatchMessage

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.dispatch.common.bean.DispatchMessage

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

Direct Known Subclasses:
  `CustomDispatchMessage`

public class DispatchMessage extends IdTitle
Сообщение из рассылки.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `messageBody`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DispatchMessage()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getCreateDate()`
  Возвращает дату создания
  `int`
  `getDispatchId()`
  Возвращает код рассылки сообщения
  `String`
  `getMessageBody()`
  Возвращает тело сообщения
  `Date`
  `getSendDate()`
  Возвращает дату отправки
  `boolean`
  `isSent()`
  Проверяет, отправлено ли сообщение
  `DispatchMessage`
  `setCreateDate(Date createDate)`
  Устанавливает дату создания
  `DispatchMessage`
  `setDispatchId(int dispatchId)`
  Устанавливает код рассылки сообщения
  `DispatchMessage`
  `setId(int id)`
  Устанавливает id объекта
  `DispatchMessage`
  `setMessageBody(String messageBody)`
  Устанавливает текст тела сообщения
  `DispatchMessage`
  `setSendDate(Date sendDate)`
  Устанавливает дату отправки
  `DispatchMessage`
  `setSent(boolean sent)`
  Устанавливает факт отправки сообщения
  `DispatchMessage`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### messageBody

    protected String messageBody

- ## Constructor Details

  - ### DispatchMessage

    public DispatchMessage()

- ## Method Details

  - ### getCreateDate

    public Date getCreateDate()
    Возвращает дату создания
    Returns:

  - ### getDispatchId

    public int getDispatchId()
    Возвращает код рассылки сообщения
    Returns:

  - ### getMessageBody

    public String getMessageBody()
    Возвращает тело сообщения
    Returns:

  - ### getSendDate

    public Date getSendDate()
    Возвращает дату отправки
    Returns:

  - ### isSent

    public boolean isSent()
    Проверяет, отправлено ли сообщение
    Returns:

  - ### setCreateDate

    public DispatchMessage setCreateDate(Date createDate)
    Устанавливает дату создания
    Parameters:
      `createDate` -

  - ### setDispatchId

    public DispatchMessage setDispatchId(int dispatchId)
    Устанавливает код рассылки сообщения
    Parameters:
      `dispatchId` -

  - ### setId

    public DispatchMessage setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setMessageBody

    public DispatchMessage setMessageBody(String messageBody)
    Устанавливает текст тела сообщения
    Parameters:
      `messageBody` -

  - ### setSendDate

    public DispatchMessage setSendDate(Date sendDate)
    Устанавливает дату отправки
    Parameters:
      `sendDate` -

  - ### setSent

    public DispatchMessage setSent(boolean sent)
    Устанавливает факт отправки сообщения
    Parameters:
      `sent` -

  - ### setTitle

    public DispatchMessage setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`